<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: StdDriver/src/fmc.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_3abedc03644d33bc69016fb8a5546004.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">fmc.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Nano 102/112 series FMC driver source file.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;stdio.h&gt;</code><br />
<code>#include &quot;<a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for fmc.c:</div>
<div class="dyncontent">
<div class="center"><img src="../../d0/d56/fmc_8c__incl.png" border="0" usemap="#a_std_driver_2src_2fmc_8c" alt=""/></div>
</div>
</div>
<p><a href="../../d0/dbc/fmc_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga100c2bb214379f1ffb7d7ad3b6bae466"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga100c2bb214379f1ffb7d7ad3b6bae466">FMC_Close</a> (void)</td></tr>
<tr class="memdesc:ga100c2bb214379f1ffb7d7ad3b6bae466"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable FMC ISP function.  <a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga100c2bb214379f1ffb7d7ad3b6bae466">More...</a><br /></td></tr>
<tr class="separator:ga100c2bb214379f1ffb7d7ad3b6bae466"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga770503ecc8c81b51a08a512f3795ca0d"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga770503ecc8c81b51a08a512f3795ca0d">FMC_Erase</a> (uint32_t u32PageAddr)</td></tr>
<tr class="memdesc:ga770503ecc8c81b51a08a512f3795ca0d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Execute ISP command to erase a flash page. The page size is 512 bytes.  <a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga770503ecc8c81b51a08a512f3795ca0d">More...</a><br /></td></tr>
<tr class="separator:ga770503ecc8c81b51a08a512f3795ca0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab6ee808b1bcd13ae19c206bab89bd718"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab6ee808b1bcd13ae19c206bab89bd718">FMC_GetBootSource</a> (void)</td></tr>
<tr class="memdesc:gab6ee808b1bcd13ae19c206bab89bd718"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the current boot source.  <a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab6ee808b1bcd13ae19c206bab89bd718">More...</a><br /></td></tr>
<tr class="separator:gab6ee808b1bcd13ae19c206bab89bd718"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadd57308fea4569d942facee962482f9e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadd57308fea4569d942facee962482f9e">FMC_Open</a> (void)</td></tr>
<tr class="memdesc:gadd57308fea4569d942facee962482f9e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable FMC ISP function.  <a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadd57308fea4569d942facee962482f9e">More...</a><br /></td></tr>
<tr class="separator:gadd57308fea4569d942facee962482f9e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa137e07140d3d8782ccc2135a454fba5"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa137e07140d3d8782ccc2135a454fba5">FMC_Read</a> (uint32_t u32Addr)</td></tr>
<tr class="memdesc:gaa137e07140d3d8782ccc2135a454fba5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Execute ISP command to read a word from flash.  <a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa137e07140d3d8782ccc2135a454fba5">More...</a><br /></td></tr>
<tr class="separator:gaa137e07140d3d8782ccc2135a454fba5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga28f55079cc6dc3f4641d98bd66647509"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga28f55079cc6dc3f4641d98bd66647509">FMC_ReadCID</a> (void)</td></tr>
<tr class="memdesc:ga28f55079cc6dc3f4641d98bd66647509"><td class="mdescLeft">&#160;</td><td class="mdescRight">Read company ID.  <a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga28f55079cc6dc3f4641d98bd66647509">More...</a><br /></td></tr>
<tr class="separator:ga28f55079cc6dc3f4641d98bd66647509"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab043658cd7493669ee3875a05be3485c"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab043658cd7493669ee3875a05be3485c">FMC_ReadPID</a> (void)</td></tr>
<tr class="memdesc:gab043658cd7493669ee3875a05be3485c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Read product ID.  <a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab043658cd7493669ee3875a05be3485c">More...</a><br /></td></tr>
<tr class="separator:gab043658cd7493669ee3875a05be3485c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafc1ab62919a2d7714a4514cafa1dfea8"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafc1ab62919a2d7714a4514cafa1dfea8">FMC_ReadUCID</a> (uint32_t u32Index)</td></tr>
<tr class="memdesc:gafc1ab62919a2d7714a4514cafa1dfea8"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function reads one of the four UCID.  <a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafc1ab62919a2d7714a4514cafa1dfea8">More...</a><br /></td></tr>
<tr class="separator:gafc1ab62919a2d7714a4514cafa1dfea8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga592aa16573d8ed31aec3ad5fb4e3495a"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga592aa16573d8ed31aec3ad5fb4e3495a">FMC_ReadUID</a> (uint32_t u32Index)</td></tr>
<tr class="memdesc:ga592aa16573d8ed31aec3ad5fb4e3495a"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function reads one of the three UID.  <a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga592aa16573d8ed31aec3ad5fb4e3495a">More...</a><br /></td></tr>
<tr class="separator:ga592aa16573d8ed31aec3ad5fb4e3495a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8bc30659ec176ab90b22a7f469781a43"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8bc30659ec176ab90b22a7f469781a43">FMC_ReadDataFlashBaseAddr</a> (void)</td></tr>
<tr class="memdesc:ga8bc30659ec176ab90b22a7f469781a43"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the base address of Data Flash if enabled.  <a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8bc30659ec176ab90b22a7f469781a43">More...</a><br /></td></tr>
<tr class="separator:ga8bc30659ec176ab90b22a7f469781a43"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga27d8d6317541982cc1555f44afcc7a92"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga27d8d6317541982cc1555f44afcc7a92">FMC_SetVectorPageAddr</a> (uint32_t u32PageAddr)</td></tr>
<tr class="memdesc:ga27d8d6317541982cc1555f44afcc7a92"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function will force re-map assigned flash page to CPU address 0x0.  <a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga27d8d6317541982cc1555f44afcc7a92">More...</a><br /></td></tr>
<tr class="separator:ga27d8d6317541982cc1555f44afcc7a92"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3d133263bbf32628fb34da7f3ce2f65a"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3d133263bbf32628fb34da7f3ce2f65a">FMC_GetVectorPageAddr</a> (void)</td></tr>
<tr class="memdesc:ga3d133263bbf32628fb34da7f3ce2f65a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Obtain the current vector page address setting.  <a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3d133263bbf32628fb34da7f3ce2f65a">More...</a><br /></td></tr>
<tr class="separator:ga3d133263bbf32628fb34da7f3ce2f65a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga99d0a2fc9f1b2afadd34f8b3346a0db5"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga99d0a2fc9f1b2afadd34f8b3346a0db5">FMC_Write</a> (uint32_t u32Addr, uint32_t u32Data)</td></tr>
<tr class="memdesc:ga99d0a2fc9f1b2afadd34f8b3346a0db5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Execute ISP command to program a word to flash.  <a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga99d0a2fc9f1b2afadd34f8b3346a0db5">More...</a><br /></td></tr>
<tr class="separator:ga99d0a2fc9f1b2afadd34f8b3346a0db5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga21c1c982b1575821e1b95e67059686d5"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga21c1c982b1575821e1b95e67059686d5">FMC_ReadConfig</a> (uint32_t *u32Config, uint32_t u32Count)</td></tr>
<tr class="memdesc:ga21c1c982b1575821e1b95e67059686d5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Execute ISP command to read User Configuration.  <a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga21c1c982b1575821e1b95e67059686d5">More...</a><br /></td></tr>
<tr class="separator:ga21c1c982b1575821e1b95e67059686d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaba70c75883a8bba7ff7f93b3cc75fac6"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaba70c75883a8bba7ff7f93b3cc75fac6">FMC_WriteConfig</a> (uint32_t *u32Config, uint32_t u32Count)</td></tr>
<tr class="memdesc:gaba70c75883a8bba7ff7f93b3cc75fac6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Execute ISP command to write User Configuration.  <a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaba70c75883a8bba7ff7f93b3cc75fac6">More...</a><br /></td></tr>
<tr class="separator:gaba70c75883a8bba7ff7f93b3cc75fac6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:ga1a26d3133f06211f483cb3b7a834fe31"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1a26d3133f06211f483cb3b7a834fe31">g_FMC_i32ErrCode</a></td></tr>
<tr class="separator:ga1a26d3133f06211f483cb3b7a834fe31"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Nano 102/112 series FMC driver source file. </p>
<dl class="section version"><dt>Version</dt><dd>V1.00 </dd></dl>
<dl class="section rcs"><dt>Revision</dt><dd>13 </dd></dl>
<dl class="section rcs"><dt>Date</dt><dd>15/06/23 2:44p </dd></dl>
<dl class="section note"><dt>Note</dt><dd>SPDX-License-Identifier: Apache-2.0 Copyright (C) 2013~2014 Nuvoton Technology Corp. All rights reserved. </dd></dl>

<p class="definition">Definition in file <a class="el" href="../../d0/dbc/fmc_8c_source.html">fmc.c</a>.</p>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:31 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
